LoTROInterface

LoTROInterface (https://www.lotrointerface.com/forums/index.php)
-   Lua Programming Help (L) (https://www.lotrointerface.com/forums/forumdisplay.php?f=50)
-   -   Error: IndexedDictionary.lua:1: '=' expected near '' (https://www.lotrointerface.com/forums/showthread.php?t=3502)

Stever1388 07-27-2014 11:36 PM

Error: IndexedDictionary.lua:1: '=' expected near ''
 
I'm trying to update the Travel plugin to include the new maps, but whenever I change the IndexDictionary file, I get this error:

Code:

IndexedDictionary.lua:1: '=' expected near ''
It's odd because even if the only thing I change is adding a comment to the top of the file, I still get this error. Not really sure what is going on but it would be nice to see the new maps placed into the Travel plugin.

Garan 07-28-2014 12:08 AM

Sounds like the file has special characters (non-ascii) and you aren't saving the file with UTF-8 encoding.

Equendil 07-28-2014 07:09 AM

You need to use a text editor that can save files using the UTF-8 character encoding without adding a 'byte order mark' in the file, otherwise the lua interpreter thinks the mark is code and fails.

Most devs use Notepad++ (Windows...). Use "UTF-8 without BOM" as encoding. http://notepad-plus-plus.org/


All times are GMT -5. The time now is 04:48 PM.

vBulletin® - Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.
© MMOUI